<?php

ob_start();

session_start();

include "configbd.php";

$idcurso = '5'; 

$idnucleo = '208';

$mes_referencia = '3';

$ano_referencia = '2013';

$mes_atividades = $mes_referencia;

$ano_atividades= $ano_referencia;

$n_alunos = '1';

$data_inicio = $ano_atividades."-".$mes_atividades."-1 00:00:01";

$data_fim = $ano_referencia."-".$mes_referencia."-1 00:00:01";



//CALCULO DE SCORE



//3- CALCULA ATIVIDADES MOODLE

include "../conexao_mdl.php";





// criar time stamps

$formated_datetime_inicio = DATE($data_inicio);

$formated_datetime_fim = DATE($data_fim);



//converter para UNIX TIME

$unix_timestamp_inicio = STRTOTIME($formated_datetime_inicio);

$unix_timestamp_fim = STRTOTIME($formated_datetime_fim);



$sql_atividade= "select count(*) as n_quiz from mdl_quiz where course = '$idcurso' and timeopen >= '$unix_timestamp_inicio' and timeopen <= '$unix_timestamp_fim'";

$resultado_atividades = mysql_query($sql_atividade,$conexao2) or die (mysql_error() ."ERRO 9");

while($dados3 = mysql_fetch_array($resultado_atividades)){

$n_quiz = $dados3['n_quiz'];



}





$sql_atividade_realizada= "select count(*) as n_quiz from mdl_quiz_grades where quiz in ( select id from mdl_quiz where course = '$idcurso' and timeopen >= '$unix_timestamp_inicio' and timeopen <= '$unix_timestamp_fim')  and timemodified >= '$unix_timestamp_inicio' and timemodified <= '$unix_timestamp_fim'";

$resultado_atividade_realizada = mysql_query($sql_atividade_realizada,$conexao2) or die (mysql_error() ."ERRO 10");

while($dados4 = mysql_fetch_array($resultado_atividade_realizada)){

$n_realizada = $dados4['n_quiz'];



}



mysql_close($conexao2);



// 4- RESULTADO DO CÁLCULO E INSERÇAO DE SCORE



if($n_quiz==0){

	$atividades=0;

}else if($n_quiz==1){

		

$atividades=$n_realizada/$n_alunos*$n_quiz *100;//max 300

	}



	else if($n_quiz==2){

		

$atividades=$n_realizada/$n_alunos*$n_quiz *200;//max 300

	}

	

		else if($n_quiz>=3){

		$atividades=	$n_realizada/$n_alunos*$n_quiz *300;//max 300

		}

		else {

			

	$atividades=0;

		}







$score_total = $scorec + $scorea + $scorep+$atividades  ; // max 1000



echo "Escore total : " . $score_total;



echo "O ultimo dia do mes é: ".date("Y-m-t", strtotime(date('2012/02/01 00:00:01')));

//echo  date("Y-m-t"); 



$data_teste= $ano_referencia."-".$mes_referencia."-t";

echo  date($data_teste); 





?>